package com.yuchen.saas.park.service.service.property;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yuchen.saas.park.api.dto.property.PropertyEnterpriseMemberDto;
import com.yuchen.saas.park.api.dto.property.PropertyEnterpriseMemberQueryDto;
import com.yuchen.saas.park.api.dto.property.PropertyEnterpriseMemberSyncDto;
import com.yuchen.saas.park.api.entity.property.PropertyEnterpriseMember;
import com.yuchen.saas.park.api.vo.property.*;
import org.nest.springwrap.core.mp.support.NestPage;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
 * @Author 蔡文强
 * @Date 2023/11/28 10:56
 * @Description 园区入驻企业成员表 服务类
 */
public interface IPropertyEnterpriseMemberService extends IService<PropertyEnterpriseMember> {
    Boolean saveOrUpdateEnterpriseMember(PropertyEnterpriseMemberDto enterpriseDto);
    Boolean deleteEnterpriseMember(Long id);
    PropertyEnterpriseMemberVo getEnterpriseMemberById(Long id);
    NestPage<PropertyEnterpriseMemberListVo> getEnterpriseMemberPageList(PropertyEnterpriseMemberQueryDto queryDto);
    PropertyEnterpriseMemberImportResVo importEnterpriseMember(MultipartFile file);
    void exportEnterpriseMember(PropertyEnterpriseMemberQueryDto queryDto, HttpServletResponse response);
    Long syncEnterpriseMember(PropertyEnterpriseMemberSyncDto syncDto);
}
